import React from 'react';
import { Button } from 'antd';

export function renderModal() {
  return [
    <Button type="primary" key="cancel" onClick={() => this.handleCancel()}>
      取消
    </Button>,
    <Button type="primary" onClick={() => this.handleSubmit()} key="save">
      提交
    </Button>,
  ];
}

export function detailsModal(filePath) {
  return [
    <Button type="primary" key="cancel" onClick={() => this.handleCancel()}>
      取消
    </Button>,
    <Button type="primary" href={filePath} target="_blank" key="down">
      下载
    </Button>,
  ];
}

export const formItemLayout = {
  labelCol: { span: 6 },
  wrapperCol: { span: 18 },
};
